import { objectWithoutProperties as _objectWithoutProperties, extends as _extends } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import React__default from 'react';
import { FormControlLabel, Checkbox as Checkbox$1 } from '@mui/material';
import CheckBoxCheckedIcon from '../../Icons/CheckBoxCheckedIcon/index.js';
import UnCheckBoxCheckedIcon from '../../Icons/UnCheckBoxCheckedIcon/index.js';
import { CheckboxWrapper } from './style.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var _excluded = ["defaultChecked", "disabled", "label"];

var Checkbox = function Checkbox(props) {
  var _props$defaultChecked = props.defaultChecked,
      defaultChecked = _props$defaultChecked === void 0 ? false : _props$defaultChecked,
      _props$disabled = props.disabled,
      disabled = _props$disabled === void 0 ? false : _props$disabled,
      _props$label = props.label,
      label = _props$label === void 0 ? '' : _props$label,
      rest = _objectWithoutProperties(props, _excluded);

  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(CheckboxWrapper, null, /*#__PURE__*/React__default.createElement(FormControlLabel, {
    disabled: disabled,
    control: /*#__PURE__*/React__default.createElement(Checkbox$1, _extends({}, rest, {
      icon: /*#__PURE__*/React__default.createElement(UnCheckBoxCheckedIcon, null),
      checkedIcon: /*#__PURE__*/React__default.createElement(CheckBoxCheckedIcon, null),
      defaultChecked: defaultChecked
    })),
    label: label
  })));
};

export { Checkbox as default };
//# sourceMappingURL=index.js.map
