import React__default from 'react';
import { FormControlLabel, Checkbox } from '@mui/material';
import CheckBoxCheckedIcon from '../../Icons/CheckBoxCheckedIcon/index.js';
import UnCheckBoxCheckedIcon from '../../Icons/UnCheckBoxCheckedIcon/index.js';
import { LabeledCheckboxWrapper } from './style.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var LabeledCheckbox = function LabeledCheckbox(_ref) {
  var label = _ref.label,
      inactive = _ref.inactive;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(LabeledCheckboxWrapper, null, /*#__PURE__*/React__default.createElement(FormControlLabel, {
    disabled: inactive ? true : false,
    control: /*#__PURE__*/React__default.createElement(Checkbox, {
      icon: /*#__PURE__*/React__default.createElement(UnCheckBoxCheckedIcon, null),
      checkedIcon: /*#__PURE__*/React__default.createElement(CheckBoxCheckedIcon, null)
    }),
    label: label
  })));
};

export { LabeledCheckbox as default };
//# sourceMappingURL=index.js.map
