import { TextField } from '@mui/material';
import React__default from 'react';
import { DatePickerInputWrapper, DateRangePickerInputWrapper } from './style.js';
import DatePickerSelectionIcon from '../../Icons/DatePickerSelectionIcon/index.js';
import RequiredLabel from '../../labels/RequiredLabel/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var DateRangePickerInput = function DateRangePickerInput(_ref) {
  var onChange = _ref.onChange,
      placeholder = _ref.placeholder,
      value = _ref.value,
      isSecure = _ref.isSecure,
      id = _ref.id,
      onClick = _ref.onClick,
      label = _ref.label;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(DatePickerInputWrapper, null, /*#__PURE__*/React__default.createElement(DateRangePickerInputWrapper, null, label && /*#__PURE__*/React__default.createElement(RequiredLabel, {
    label: label
  }), /*#__PURE__*/React__default.createElement(TextField, {
    placeholder: placeholder,
    InputProps: {
      endAdornment: /*#__PURE__*/React__default.createElement(DatePickerSelectionIcon, null)
    },
    onChange: onChange,
    value: value,
    isSecure: isSecure,
    id: id,
    onClick: onClick
  }))));
};

export { DateRangePickerInput as default };
//# sourceMappingURL=index.js.map
