import React__default from 'react';
import { ZoneHoverMainContainer, ZoneHoverContainer, ZoneHoverHeaderWrapper, ZoneHoverSectionWrapper } from './style.js';
import { ZoneHoverHeaderHeadingWrapper, ZoneHoverHeaderSubHeadingWrapper, ZoneHoverSectionHeadingWrapper, ZoneHoverSectionSubHeadingWrapper } from '../../Typography/Paragraph/index.js';
import LockSignIcons from '../../Icons/LockSignIcons/index.js';
import Button from '../../Button/Button/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var ZoneHoverModal = function ZoneHoverModal(props) {
  var children = props.children,
      type = props.type,
      zone = props.zone,
      zoneName = props.zoneName,
      parkingZone = props.parkingZone,
      fleetName = props.fleetName,
      associatedFleet = props.associatedFleet,
      _onClick = props.onClick;

  var getButtonLabel = function getButtonLabel() {
    return type === "locked" ? "Details" : "Edit Zone";
  };

  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(ZoneHoverMainContainer, null, /*#__PURE__*/React__default.createElement(ZoneHoverContainer, null, /*#__PURE__*/React__default.createElement(ZoneHoverHeaderWrapper, {
    zone: zone
  }, /*#__PURE__*/React__default.createElement(ZoneHoverHeaderHeadingWrapper, null, zoneName), /*#__PURE__*/React__default.createElement(ZoneHoverHeaderSubHeadingWrapper, null, parkingZone)), /*#__PURE__*/React__default.createElement(ZoneHoverSectionWrapper, null, /*#__PURE__*/React__default.createElement(ZoneHoverSectionHeadingWrapper, null, fleetName), /*#__PURE__*/React__default.createElement(ZoneHoverSectionSubHeadingWrapper, null, associatedFleet)), /*#__PURE__*/React__default.createElement(ZoneHoverSectionWrapper, null, /*#__PURE__*/React__default.createElement(Button, {
    type: "secondary",
    onClick: function onClick(evt) {
      return _onClick(evt);
    }
  }, getButtonLabel()))), type === "locked" ? /*#__PURE__*/React__default.createElement(LockSignIcons, null, children) : children));
};

export { ZoneHoverModal as default };
//# sourceMappingURL=index.js.map
