import React__default from 'react';
import { HelpCenterMenuWrapper, HelpCenterMenuBodyWrapper, HelpCenterMenuItemWrapper } from './style.js';
import { HelpCenterMenuHeaderWrapper, HelpCenterMenuVersionWrapper } from '../../Typography/Paragraph/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';
import JoyrideIcon from '../../Icons/JoyrideIcon/index.js';

var HelpCenterMenu = function HelpCenterMenu(_ref) {
  var children = _ref.children,
      version = _ref.version,
      heading = _ref.heading,
      footer = _ref.footer,
      menuBodyClass = _ref.menuBodyClass,
      isHelpCenter = _ref.isHelpCenter;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(HelpCenterMenuWrapper, null, /*#__PURE__*/React__default.createElement(HelpCenterMenuHeaderWrapper, null, heading), /*#__PURE__*/React__default.createElement(HelpCenterMenuBodyWrapper, {
    className: menuBodyClass
  }, /*#__PURE__*/React__default.createElement(HelpCenterMenuItemWrapper, {
    className: isHelpCenter && "helpcenter"
  }, children), /*#__PURE__*/React__default.createElement(HelpCenterMenuVersionWrapper, null, /*#__PURE__*/React__default.createElement("div", null, /*#__PURE__*/React__default.createElement("span", null, "Powered by"), " ", /*#__PURE__*/React__default.createElement(JoyrideIcon, null), " ", /*#__PURE__*/React__default.createElement("span", null, version)), footer))));
};

export { HelpCenterMenu as default };
//# sourceMappingURL=index.js.map
