import { extends as _extends, defineProperty as _defineProperty, objectWithoutProperties as _objectWithoutProperties } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import React__default from 'react';
import { styled } from '@mui/material/styles';
import MTooltip, { tooltipClasses } from '@mui/material/Tooltip';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var _excluded = ["children", "title", "placement"];
var ArrowTooltip = styled(function (props) {
  return /*#__PURE__*/React__default.createElement(MTooltip, _extends({}, props, {
    arrow: true,
    classes: {
      popper: props.className ? props.className : ''
    }
  }));
})(function () {
  var _ref;

  return _ref = {}, _defineProperty(_ref, "& .".concat(tooltipClasses.arrow), {
    color: theme.colourMaterialReversePrimary,
    zIndex: 9999999
  }), _defineProperty(_ref, "& .".concat(tooltipClasses.tooltip), {
    backgroundColor: theme.colourMaterialReversePrimary,
    fontFamily: theme.fontWorkSansRegular,
    fontSize: theme.fontSize_14,
    padding: 10,
    zIndex: 9999999
  }), _ref;
});

var Tooltip = function Tooltip(props) {
  var children = props.children,
      title = props.title,
      placement = props.placement,
      rest = _objectWithoutProperties(props, _excluded);

  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(ArrowTooltip, _extends({
    title: title,
    placement: placement
  }, rest), children)));
};

export { ArrowTooltip, Tooltip as default };
//# sourceMappingURL=index.js.map
